Bug 1287430 - Under Wayland, shift-drag and dragging within the same file-system do not move the file
Summary: Under Wayland, shift-drag and dragging within the same file-system do not mov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 23
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-12-02 05:15 UTC by Michael Wiktowy
Modified: 2016-07-18 08:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-18 08:39:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 755625 None None None Never

Description Michael Wiktowy 2015-12-02 05:15:11 UTC
Description of problem:
Under Wayland, shift-drag and dragging within the same file-system do not move the file. It always copies.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Shift-left-mouse-button drag a file from on drive to another

Actual results:

File is "copied"

Expected results:

File should be "moved"

Comment 1 Kamil Páral 2015-12-02 12:18:13 UTC
That would be this:
https://bugzilla.gnome.org/show_bug.cgi?id=755625

Comment 2 Christian Stadelmann 2016-02-06 21:30:14 UTC
The upstream bug report is marked as fixed now for Gtk+ 3.20.

Comment 3 Christian Stadelmann 2016-07-17 10:01:22 UTC
Please close this bug, it is fixed on nautilus/gtk 3.20 (Fedora 24).

Comment 4 Kamil Páral 2016-07-18 08:39:23 UTC
Thanks for testing, Christian.


Note You need to log in before you can comment on or make changes to this bug.